ru.bitel.common.client

## Class LookAndFeelUtils

- java.lang.Object
- - ru.bitel.common.client.LookAndFeelUtils

-     public class LookAndFeelUtils
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LookAndFeelUtils.LookAndFeelTheme`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.concurrent.atomic.AtomicInteger` | `BUTTON_HEIGHT`
    `static java.util.concurrent.atomic.AtomicInteger` | `COMBO_HEIGHT`
    `static int` | `DEFAULT_HEIGHT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LookAndFeelUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addLookAndFeelTheme(LookAndFeelUtils.LookAndFeelTheme t)`
    `static LookAndFeelUtils.LookAndFeelTheme` | `getCurrent()`
    `static java.util.List<LookAndFeelUtils.LookAndFeelTheme>` | `getLookAndFeelThemeList()`
    `static java.util.List<LookAndFeelUtils.LookAndFeelTheme>` | `getLookAndFeelThemeList(java.util.Comparator<LookAndFeelUtils.LookAndFeelTheme> comp)`
    `static LookAndFeelUtils.LookAndFeelTheme` | `getTheme(java.lang.String lafName, java.lang.String themeName)`
    `static void` | `main(java.lang.String[] args)`
    `static void` | `minFontSize(int size)`
    `static void` | `setFont(java.awt.Font myFont)`
    `static void` | `setFontSize(float size, javax.swing.plaf.FontUIResource defaultFont)`
    `static void` | `setFontSize(java.lang.String key, float size, javax.swing.plaf.FontUIResource defaultFont)`
    `static void` | `setStyle(java.lang.String key, int style)`
    `static void` | `setTheme(LookAndFeelUtils.LookAndFeelTheme t)`
    `static void` | `setTheme(LookAndFeelUtils.LookAndFeelTheme t, java.awt.Component component)`
    `static void` | `setTheme(java.lang.String lafName, java.lang.String themeName)`
    `static void` | `setTheme(java.lang.String lafName, java.lang.String themeName, java.awt.Component component)`
    `static void` | `updateOnChangeLookAndFeel(java.awt.Container container)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_HEIGHT

          public static final int DEFAULT_HEIGHT

      See Also:
        Constant Field Values

    - #### BUTTON_HEIGHT

          public static java.util.concurrent.atomic.AtomicInteger BUTTON_HEIGHT

    - #### COMBO_HEIGHT

          public static java.util.concurrent.atomic.AtomicInteger COMBO_HEIGHT

  - ### Constructor Detail

    - #### LookAndFeelUtils

          public LookAndFeelUtils()

  - ### Method Detail

    - #### addLookAndFeelTheme

          public static void addLookAndFeelTheme(LookAndFeelUtils.LookAndFeelTheme t)

    - #### getLookAndFeelThemeList

          public static java.util.List<LookAndFeelUtils.LookAndFeelTheme> getLookAndFeelThemeList()

    - #### getLookAndFeelThemeList

          public static java.util.List<LookAndFeelUtils.LookAndFeelTheme> getLookAndFeelThemeList(java.util.Comparator<LookAndFeelUtils.LookAndFeelTheme> comp)

    - #### setTheme

          public static void setTheme(LookAndFeelUtils.LookAndFeelTheme t)
                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### setTheme

          public static void setTheme(LookAndFeelUtils.LookAndFeelTheme t,
                                      java.awt.Component component)
                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getTheme

          public static LookAndFeelUtils.LookAndFeelTheme getTheme(java.lang.String lafName,
                                                                   java.lang.String themeName)

    - #### setTheme

          public static void setTheme(java.lang.String lafName,
                                      java.lang.String themeName,
                                      java.awt.Component component)
                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### setTheme

          public static void setTheme(java.lang.String lafName,
                                      java.lang.String themeName)
                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getCurrent

          public static LookAndFeelUtils.LookAndFeelTheme getCurrent()

    - #### main

          public static void main(java.lang.String[] args)

    - #### setFont

          public static void setFont(java.awt.Font myFont)

    - #### setFontSize

          public static void setFontSize(float size,
                                         javax.swing.plaf.FontUIResource defaultFont)

    - #### setFontSize

          public static void setFontSize(java.lang.String key,
                                         float size,
                                         javax.swing.plaf.FontUIResource defaultFont)

    - #### setStyle

          public static void setStyle(java.lang.String key,
                                      int style)

    - #### minFontSize

          public static void minFontSize(int size)

    - #### updateOnChangeLookAndFeel

          public static void updateOnChangeLookAndFeel(java.awt.Container container)